%define shortname	torrent-rasterbar
%define major		5
%define libname		%mklibname %{shortname} %{major}
%define develname	%mklibname %{shortname} -d

Summary:	The Rasterbar BitTorrent library
Name:		libtorrent-rasterbar
Version:	0.14.10
Release:	%mkrel 3
License:	BSD
Group:		System/Libraries
URL:		http://www.rasterbar.com/products/libtorrent/
Source0:	http://libtorrent.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		libtorrent-rasterbar-0.14.4-underlink.patch
BuildRequires:	boost-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	python-devel
BuildRequires:	libgeoip-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n %{libname}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library
Obsoletes:	%{mklibname %{shortname} 1}

%description -n %{libname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n python-%{name}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library's Python bindings
%{py_requires}
Requires:	%{libname} = %{version}-%{release}

%description -n python-%{name}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains Python bindings.

%package -n %{develname}
Group:		Development/C
Summary:	The Rasterbar BitTorrent library's development headers
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains development libraries and headers.

%prep
%setup -q
%patch0 -p1 -b .underlink

%build
# (from Anssi)  make sure system asio is used as --with-asio=system seems
# to be ignored with boost < 1.35.0, so just to be sure
rm -rf include/libtorrent/asio*

# (tpg) a workaround for libtool crap
#sed -i 's/AC_CONFIG_MACRO_DIR(\[m4\])/dnl AC_CONFIG_MACRO_DIR(\[m4\])/' configure.in
autoreconf -fi
%configure2_5x \
	--enable-python-binding \
	--with-zlib=system \
	--with-asio=system \
	--with-libgeoip=system \
	--with-encryption=on \
	--with-dht=on \
	--with-ssl \
	--with-boost-libdir=%{_libdir} \
	--with-boost-system=boost_system-mt \
	--with-boost-filesystem=boost_filesystem-mt \
	--with-boost-thread=boost_thread-mt \
	--with-boost-regex=boost_regex-mt \
	--with-boost-python=boost_python-mt
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{name} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/libtorrent
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-%{name}
%defattr(-,root,root)
%{py_platsitedir}/*.so
%{py_platsitedir}/*.egg-info


%changelog
* Wed Apr 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.10-3mdv2010.1
+ Revision: 532463
- rebuild for openssl-1.0.0

* Mon Apr 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.10-2mdv2010.1
+ Revision: 531501
- resumbit because of BS oddity
- new upstream release 0.14.10

* Tue Feb 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.9-1mdv2010.1
+ Revision: 509906
- new upstream release 0.14.9

  + Funda Wang <fwang@mandriva.org>
    - rebuild

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.14.8-5mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.14.8-4mdv2010.1
+ Revision: 500332
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.14.8-3mdv2010.1
+ Revision: 500084
- rebuild for new boost

* Wed Jan 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.8-2mdv2010.1
+ Revision: 496899
- build with system geoip now that it's been moved to contrib

* Sun Jan 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.14.8-1mdv2010.1
+ Revision: 495409
- disable system geoip for now (till package moving is done)
- update to 0.4.18
- manually remove shipped asio headers to be sure system ones are used
  (originally from Fedora, verified by Anssi for boost < 1.35.0, so
   rm'ing them just to be sure)
- use system geoip as it seems to build correctly
- use the supplied autotools.sh again as one patch modifies Makefile.am

* Thu Dec 03 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.7-1mdv2010.1
+ Revision: 472747
- disable system-wide goip support for now
- update to new version 0.14.7
- correct url for Source0
- build against system libgeoip

* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.14.6-1mdv2010.0
+ Revision: 447965
- update to new version 0.14.6

* Mon Sep 14 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.5-1mdv2010.0
+ Revision: 440748
- update to new version 0.14.5
- bump major
- python bindings requires main library

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.14.4-2mdv2010.0
+ Revision: 418845
- add python linkage fix
- rebuild for new libboost

* Mon Jun 08 2009 Oden Eriksson <oeriksson@mandriva.com> 0.14.4-1mdv2010.0
+ Revision: 383880
- new major (4)
- 0.14.4

* Sun May 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.3-2mdv2010.0
+ Revision: 374004
- obsolete old library

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.3-1mdv2010.0
+ Revision: 373889
- update to new version 0.14.3
- fix against libtool borkiness
- bump major to 3

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.14.1-4mdv2009.1
+ Revision: 354292
- use force install with autoreconf
- rebuild for new boost

* Wed Dec 24 2008 Michael Scherer <misc@mandriva.org> 0.14.1-3mdv2009.1
+ Revision: 318430
- rebuild for new python
- fix expression so mdvsys update can be used

  + Funda Wang <fwang@mandriva.org>
    - drop strange obsoletes

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 0.14.1-2mdv2009.1
+ Revision: 316882
- asio is not needed, as boost contains boost:asio which is needed acturally
- rebuild for new boost

* Mon Dec 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.14.1-1mdv2009.1
+ Revision: 314424
- have to specify boost libs manually as they don't get found properly on x86-64
- import libtorrent-rasterbar


